#### D.12.1.6 coeffmod

Procedure from library `aksaka.lib` (see aksaka_lib).

Usage:
  coeffmod(f,n);

Assume:
  poly f depends on at most var(1) of the basering

Return:
  poly f modulo number n

Note:
  at first the coefficients of the monomials of the polynomial f are determined, then their remainder modulo n is calculated, after that the polynomial 'is put together' again

Example:

    LIB "aksaka.lib";
    ring R = 0,x,dp;
    poly f=2457*x4+52345*x3-98*x2+5;
    bigint n=3;
    coeffmod(f,n);
    ==> x3+x2+2

User manual for Singular version 4.4.1, 2025, generated by texi2html.